[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.ReadWord

Read a word from the stream and return its value.

## Declaration

Source position: classesh.inc line 862

`public function TStream.ReadWord: Word;`

## Description

ReadWord reads one Word (i.e. 2 bytes) from the stream and returns its value. This is a utility function which symply calls the Read function.

## Errors

If the word cannot be read, a EStreamError exception will be raised.

## See also

TStream.Read |  | Reads data from the stream to a buffer and returns the number of bytes read.
TStream.WriteWord |  | Write a word to the stream.
TStream.ReadByte |  | Read a byte from the stream and return its value.
TStream.ReadDWord |  | Read a DWord from the stream and return its value.
TStream.ReadAnsiString |  | Read an ansistring from the stream and return its value.

Documentation generated on: Feb 26 2014